summaryrefslogtreecommitdiff
path: root/t/t1010-mktree.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/t1010-mktree.sh')
-rwxr-xr-xt/t1010-mktree.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/t/t1010-mktree.sh b/t/t1010-mktree.sh
index b946f87686..3c08194526 100755
--- a/t/t1010-mktree.sh
+++ b/t/t1010-mktree.sh
@@ -2,13 +2,14 @@
test_description='git mktree'
+TEST_PASSES_SANITIZE_LEAK=true
. ./test-lib.sh
test_expect_success setup '
- for d in a a. a0
+ for d in a a- a0
do
mkdir "$d" && echo "$d/one" >"$d/one" &&
- git add "$d"
+ git add "$d" || return 1
done &&
echo zero >one &&
git update-index --add --info-only one &&